---
features:
  primary:
  - name: "Deployment Approval on the Environments page"
    available_in: [premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/ci/environments/deployment_approvals.html#approve-or-reject-a-deployment'
    video: '/images/unreleased/release-deployment-approval.mp4'
    reporter: cbalane
    stage: release
    categories:
    - Environment Management
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/342180'
    description: |
      We are excited to introduce the Deployment Approval capability in the GitLab interface. In GitLab 14.8, we introduced the ability to approve deployments via the [API](https://docs.gitlab.com/ee/ci/environments/deployment_approvals.html#using-the-api). Now, deployment approvers can view a pending deployment and approve or reject it conveniently directly in the Environments page. This update continues our work to enable teams to create workflows for approving software to go to production or other protected environments. With this update, we are now upgrading the feature to beta.
